Rename or transfer a device
curl --request PUT \
--url https://dashboard.hologram.io/api/1/devices/{deviceId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"orgid": 123
}
'import requests
url = "https://dashboard.hologram.io/api/1/devices/{deviceId}"
payload = {
"name": "<string>",
"orgid": 123
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123})
};
fetch('https://dashboard.hologram.io/api/1/devices/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/devices/{deviceId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"orgid": 123,
"type": "<string>",
"whencreated": "<string>",
"tags": [
"<string>"
],
"links": {
"cellular": [
{
"id": 123,
"deviceid": 123,
"orgid": 123,
"sim": "<string>",
"msisdn": "<string>",
"imsi": 123,
"apn": "<string>",
"zone": 123,
"overagelimit": 123,
"carrier": 123,
"whencreated": "<string>",
"whenexpires": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"reference_id": 123,
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
]
},
"eid": "<string>",
"imei": "<string>",
"imei_sv": "<string>",
"phonenumber": "<string>",
"phonenumber_cost": "<string>",
"simcardid": 123,
"intended_plan_id": 123,
"euicc_tested": "<string>",
"is_hyper": true,
"model": "<string>",
"manufacturer": "<string>",
"preflight_starttime": "<string>",
"preflight_scheduled_endtime": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"reference_id": 123,
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
}Devices
Rename or transfer a device
Updates the specified device by setting the values of the parameters passed. Any parameters not provided will be left unchanged. You can change the device’s name displayed on the Dashboard. You can also transfer ownership of the device to a different organization.
PUT
/
devices
/
{deviceId}
Rename or transfer a device
curl --request PUT \
--url https://dashboard.hologram.io/api/1/devices/{deviceId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"orgid": 123
}
'import requests
url = "https://dashboard.hologram.io/api/1/devices/{deviceId}"
payload = {
"name": "<string>",
"orgid": 123
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123})
};
fetch('https://dashboard.hologram.io/api/1/devices/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/devices/{deviceId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"orgid": 123,
"type": "<string>",
"whencreated": "<string>",
"tags": [
"<string>"
],
"links": {
"cellular": [
{
"id": 123,
"deviceid": 123,
"orgid": 123,
"sim": "<string>",
"msisdn": "<string>",
"imsi": 123,
"apn": "<string>",
"zone": 123,
"overagelimit": 123,
"carrier": 123,
"whencreated": "<string>",
"whenexpires": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"reference_id": 123,
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
]
},
"eid": "<string>",
"imei": "<string>",
"imei_sv": "<string>",
"phonenumber": "<string>",
"phonenumber_cost": "<string>",
"simcardid": 123,
"intended_plan_id": 123,
"euicc_tested": "<string>",
"is_hyper": true,
"model": "<string>",
"manufacturer": "<string>",
"preflight_starttime": "<string>",
"preflight_scheduled_endtime": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"reference_id": 123,
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
}Authorizations
HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.
Path Parameters
ID of the device
Was this page helpful?
⌘I